rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmBuildArguments_s Struct Reference
Build API.

Describe build request. More...

`#include <rpmbuild.h>`

## Data Fields
rpmBuildPkgFlags | pkgFlags
rpmBuildFlags | buildAmount
char * | buildRootOverride
char * | cookie
const char * | rootdir

## Detailed Description

Describe build request.

Definition at line 53 of file rpmbuild.h.

## Field Documentation

rpmBuildFlags rpmBuildArguments_s::buildAmount

Bit(s) to control build execution.

Definition at line 55 of file rpmbuild.h.

Referenced by build(), buildArgCallback(), buildForTarget(), and main().

char* rpmBuildArguments_s::buildRootOverride

from –buildroot

Definition at line 56 of file rpmbuild.h.

Referenced by buildArgCallback(), buildForTarget(), and main().

char* rpmBuildArguments_s::cookie

NULL for binary, ??? for source, rpm's

Definition at line 57 of file rpmbuild.h.

Referenced by main().

rpmBuildPkgFlags rpmBuildArguments_s::pkgFlags

Bit(s) to control package generation.

Definition at line 54 of file rpmbuild.h.

Referenced by buildArgCallback().

const char* rpmBuildArguments_s::rootdir

Definition at line 58 of file rpmbuild.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- rpmbuild.h